Bug 1697311 - Trailing backslash in l.34 of /etc/profile.d/lang.sh
Summary: Trailing backslash in l.34 of /etc/profile.d/lang.sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setup
Version: 30
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 10:44 UTC by Rolf Offermanns
Modified: 2019-07-10 03:18 UTC (History)
4 users (show)

Fixed In Version: setup-2.13.3-1.fc30 setup-2.12.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:05:04 UTC


Attachments (Terms of Use)

Description Rolf Offermanns 2019-04-08 10:44:41 UTC
Description of problem:

Trailing backspace in l.34 of /etc/profile.d/lang.sh

Version-Release number of selected component (if applicable):
setup-2.13.2-1.fc30.noarch

How reproducible:
Always

Steps to Reproduce:
1. source /etc/bashrc

Actual results:
bash: eval: line 34: syntax error near unexpected token `else'
bash: eval: line 34: `else'


Expected results:
No error.

Additional info:
Verified by "running" /etc/profile.d/lang.sh. Error disappears when trailing backslash in l.34 is removed.

Comment 1 Ondrej Vasik 2019-04-08 12:13:21 UTC
Thanks, it seems I broke it by https://pagure.io/setup/c/020de8300a7679cc280f672d6262935a42464b19?branch=master ...

Comment 2 Fedora Update System 2019-04-09 11:33:48 UTC
setup-2.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c942844538

Comment 3 Fedora Update System 2019-04-10 14:37:39 UTC
setup-2.13.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c942844538

Comment 4 Fedora Update System 2019-04-13 00:05:04 UTC
setup-2.13.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2019-06-24 12:19:39 UTC
FEDORA-2019-0045f042d7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0045f042d7

Comment 6 Fedora Update System 2019-06-24 22:46:11 UTC
setup-2.12.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0045f042d7

Comment 7 Fedora Update System 2019-07-10 03:18:43 UTC
setup-2.12.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.